GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

          • Get User Built-in Field List
          • Update User Built-in Field Configuration
          • Get Custom Field List
          • Create/Update Custom Field Definition
          • Set Custom Field Value
          • Get Custom Field Values for User/Group/Role/Organization
        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Custom Field Management

  10. /
  11. Set Custom Field Value

¶ Set the value of the custom field

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If this document description is incorrect, please refer to the V3 API.

Set the value of the custom field for the user, role or department. If it exists, update it, and if it does not exist, create it.

¶ Method name

ManagementClient.set_custom_data

¶ Request parameters

NameType
Required
Default value
Description
Sample value
listSetCustomDataDto[]Yes-Custom data list Array length limit: 50.
targetIdentifierstringyes-Unique identifier of the target object:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role's code, such as admin
- If it is a group, it is the group's code, such as developer
- If it is a department, it is the department's ID, such as 6343bafc019xxxx889206c4c
userId1
targetTypestringyes-Target object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
tenantIdstringno-Tenant ID642c1df417c2d8a80d744c1d
namespacestringNo-The code of the permission group. This field is required when target_type is role. Otherwise, it can be ignored.default

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ SetCustomDataDto

NameType
Is it required?
Description
Sample value
tenantIdstringNoTenant ID642c1df417c2d8a80d744c1d
keystringYesField key, cannot conflict with the key of built-in fieldsschool
valuestringYesCustom data, can be of any type, but must match the custom field type defined when creating, otherwise the setting will failpku

¶ IsSuccessDto

NameType
Is it required?
Description
Sample value
successbooleanyesWhether the operation was successfultrue
Previous article: Create/Update Custom Field Definition Next article: Get Custom Field Values for User/Group/Role/Organization
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.